- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpCholeskyWssmpKKT Class Reference

WssmpKKT class for Clp Cholesky factorization. More...

`#include <ClpCholeskyWssmpKKT.hpp>`

Inheritance diagram for ClpCholeskyWssmpKKT:

[legend]
Collaboration diagram for ClpCholeskyWssmpKKT:

[legend]
List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Does Symbolic factorization given permutation.
virtual int | factorize (const double *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped.
virtual void | solve (double *region)
| Uses factorization to solve.
virtual void | solveKKT (double *region1, double *region2, const double *diagonal, double diagonalScaleFactor)
| Uses factorization to solve.
Constructors, destructor
| ClpCholeskyWssmpKKT (int denseThreshold=-1)
| Constructor which has dense columns activated.
virtual | ~ClpCholeskyWssmpKKT ()
| Destructor.
| ClpCholeskyWssmpKKT (const ClpCholeskyWssmpKKT &)
| Constructor which has dense columns activated.
ClpCholeskyWssmpKKT & | operator= (const ClpCholeskyWssmpKKT &)
| Constructor which has dense columns activated.
virtual ClpCholeskyBase * | clone () const
| Clone.

## Detailed Description

WssmpKKT class for Clp Cholesky factorization.

Definition at line 14 of file ClpCholeskyWssmpKKT.hpp.

## Constructor & Destructor Documentation

ClpCholeskyWssmpKKT::ClpCholeskyWssmpKKT | ( | int | denseThreshold = `-1` | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyWssmpKKT::~ClpCholeskyWssmpKKT | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyWssmpKKT::ClpCholeskyWssmpKKT | ( | const ClpCholeskyWssmpKKT & |  | ) |

Constructor which has dense columns activated.

Default is off.

## Member Function Documentation

virtual int ClpCholeskyWssmpKKT::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyWssmpKKT::symbolic | ( |  | ) | `[virtual]`

Does Symbolic factorization given permutation.

This is called immediately after order. If user provides this then user must provide factorize and solve. Otherwise the default factorization is used returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyWssmpKKT::factorize | ( | const double * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped.

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyWssmpKKT::solve | ( | double * | region | ) | `[virtual]`

Uses factorization to solve.

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyWssmpKKT::solveKKT | ( | double * | region1,
|  | double * | region2,
|  | const double * | diagonal,
|  | double | diagonalScaleFactor |
| ) |  |  | `[virtual]`

Uses factorization to solve.

- given as if KKT. region1 is rows+columns, region2 is rows

Reimplemented from ClpCholeskyBase.

ClpCholeskyWssmpKKT& ClpCholeskyWssmpKKT::operator= | ( | const ClpCholeskyWssmpKKT & |  | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyBase* ClpCholeskyWssmpKKT::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpCholeskyWssmpKKT.hpp